<?php
$styles = [];
foreach(range(1, 28) as $val) {
    $styles[$val] = sprintf(esc_html__('Style %s', 'lsicool'), $val);
}

return  array(
    'title'      => esc_html__( 'General Setting', 'lsicool' ),
    'id'         => 'general_setting',
    'desc'       => '',
    'icon'       => 'el el-wrench',
    'fields'     => array(
        array(
            'id' => 'theme_preloader',
            'type' => 'switch',
            'title' => esc_html__('Enable Preloader', 'lsicool'),
            'default' => true,
        ),
        array(
            'id'      => 'preloader_text',
            'type'    => 'textarea',
            'title'   => __( 'Preloader Text', 'lsicool' ),
            'desc'    => esc_html__( 'Enter the Preloader Text', 'lsicool' ),
            'default' => 'lsicool',
        ),
        array(
            'id' => 'theme_main_color',
            'type' => 'color',
            'title' => esc_html__('Primary Color', 'lsicool'),
            'default' => '#ea1b29',
            'transparent' => false
        ),
        array(
            'id' => 'theme_main_color4',
            'type' => 'color',
            'title' => esc_html__('Primary Color V2', 'lsicool'),
            'default' => '#2371ff',
            'transparent' => false
        ),
        array(
            'id' => 'theme_main_color2',
            'type' => 'color',
            'title' => esc_html__('Secondary Color', 'lsicool'),
            'default' => '#ff5e14',
            'transparent' => false
        ),
        array(
            'id' => 'theme_main_color3',
            'type' => 'color',
            'title' => esc_html__('Dark Color', 'lsicool'),
            'default' => '#17293e',
            'transparent' => false
        ),
    ),
);
