<?php
/**
 * Single Post Content Template
 *
 * @package    WordPress
 * @subpackage lsicool
 * @author     thememx
 * @version    1.0
 */
?>
<?php global $wp_query;

$page_id = ( $wp_query->is_posts_page ) ? $wp_query->queried_object->ID : get_the_ID();

$gallery = get_post_meta( $page_id, 'lsicool_gallery_images', true );

$video = get_post_meta( $page_id, 'lsicool_video_url', true );


$audio_type = get_post_meta( $page_id, 'lsicool_audio_type', true );

?>


<div class="blog-detail-page">



    <div class="blog-page__single">


        <?php if(has_post_thumbnail()){ ?>
        <div class="blog-page__single-img">
            <div class="inner">
            <?php the_post_thumbnail('lsicool_770x415'); ?>
            </div>
			<div class="date-box">
                <?php echo get_the_date('d'); ?> <br> <?php echo get_the_date('M'); ?>
            </div>
        </div>
        <?php } ?>
        <div class="blog-page__single-content">
            <ul class="blog-page__meta">
            <?php if( $options->get( 'blog_post_author' )){ ?><li> <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"> <i class="fa fa-user"></i> <?php the_author(); ?></a></li><?php } ?>
            <?php if( $options->get( 'blog_post_comments' )){ ?><li> <a href="<?php echo esc_url(get_permalink(get_the_id()).'#comments'); ?>"><i class="fa fa-comments"></i> <?php comments_number( wp_kses(__('0 Comment' , 'lsicool'), true), wp_kses(__('1 Comment' , 'lsicool'), true), wp_kses(__('% Comments' , 'lsicool'), true)); ?></a></li><?php } ?>
            </ul>
            <h2><?php the_title(); ?> </h2>
            <div class="text1">
			<?php the_content(); ?>
				<div class="clearfix"></div>
			<?php wp_link_pages(array('before'=>'<div class="paginate_links">'.esc_html__('Pages: ', 'lsicool'), 'after' => '</div>', 'link_before'=>'', 'link_after'=>'')); ?>
			</div>
        </div>
    </div>
	<div class="blog-details__bottom">

		<?php if ( $options->get( 'single_post_tag' ) ) : ?>
			<?php $title = '<span>' . esc_html__( 'Tags:', 'lsicool' ) . '</span>'; ?>
			<?php the_tags( '<div class="blog-details__tags">' . $title . ' ', '  ', '</div>' ); ?>

		<?php endif; ?>


		<?php if ( $options->get( 'single_social_share' ) && $options->get( 'single_post_share' ) ) : ?>
			<ul class="blog-details__social-list">
				<?php foreach ( $options->get( 'single_social_share' ) as $k => $v ) {
					if ( $v == '' ) {
						continue;
					} ?>
					<?php do_action('lsicool_social_share_output', $k ); ?>
				<?php } ?>
			</ul>
		<?php endif; ?>
	</div>
	<?php if ( $options->get( 'single_post_author_box' ) ) : ?>
		<?php lsicool_template_load( 'templates/blog-single/author_box.php', compact( 'options', 'data' ) ); ?>
	<?php endif; ?>
	<?php comments_template(); ?>
</div>













