<?php

define( 'lsicool_ROOT', get_template_directory() . '/' );

require_once get_template_directory() . '/includes/functions/functions.php';
include_once get_template_directory() . '/includes/classes/base.php';
include_once get_template_directory() . '/includes/classes/dotnotation.php';
include_once get_template_directory() . '/includes/classes/header-enqueue.php';
include_once get_template_directory() . '/includes/classes/options.php';
include_once get_template_directory() . '/includes/classes/ajax.php';
include_once get_template_directory() . '/includes/classes/common.php';
include_once get_template_directory() . '/includes/classes/bootstrap_walker.php';
include_once get_template_directory() . '/includes/library/class-tgm-plugin-activation.php';
require_once get_template_directory() . '/includes/library/hook.php';



add_action( 'after_setup_theme', 'lsicool_wp_load', 5 );

function lsicool_wp_load() {

	defined( 'lsicool_URL' ) or define( 'lsicool_URL', get_template_directory_uri() . '/' );
	define(  'lsicool_KEY','!@#lsicool');
	define(  'lsicool_URI', get_template_directory_uri() . '/');

	if ( ! defined( 'lsicool_NONCE' ) ) {
		define( 'lsicool_NONCE', 'lsicool_wp_theme' );
	}

	( new \lsicool\Includes\Classes\Base )->loadDefaults();
	( new \lsicool\Includes\Classes\Ajax )->actions();

}
add_action( 'init', 'lsicool_bunch_theme_init');
function lsicool_bunch_theme_init()
{
	$bunch_exlude_hooks = include_once get_template_directory(). '/includes/resource/remove_action.php';
	foreach( $bunch_exlude_hooks as $k => $v )
	{
		foreach( $v as $value )
		remove_action( $k, $value[0], $value[1] );
	}

}
