<?php

/**
 * Blog Content Template
 *
 * @package    WordPress
 * @subpackage lsicool
 * @author     thememx
 * @version    1.0
 */

if ( class_exists( 'lsicool_Resizer' ) ) {
	$img_obj = new lsicool_Resizer();
} else {
	$img_obj = array();
}

$options = lsicool_WSH()->option();

$allowed_tags = wp_kses_allowed_html('post');
global $post;
?>
<div <?php post_class(); ?>>
	
    <div class="blog-page__single mb_50">


        <?php if(has_post_thumbnail()){ ?>
        <div class="blog-page__single-img">
            <div class="inner">
            <?php the_post_thumbnail('lsicool_770x415'); ?>
            </div>
            <div class="date-box">
                <?php echo get_the_date('d'); ?> <br> <?php echo get_the_date('M'); ?>
            </div>
        </div>
        <?php } ?>
        <div class="blog-page__single-content">
            <ul class="blog-page__meta">
            <?php if( $options->get( 'blog_post_author' )){ ?><li> <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><i class="fa fa-user"></i> <?php the_author(); ?></a></li><?php } ?>
            <?php if( $options->get( 'blog_post_comments' )){ ?><li> <a href="<?php echo esc_url(get_permalink(get_the_id()).'#comments'); ?>"><i class="fa fa-comments"></i> <?php comments_number( wp_kses(__('0 Comment' , 'lsicool'), true), wp_kses(__('1 Comment' , 'lsicool'), true), wp_kses(__('% Comments' , 'lsicool'), true)); ?></a></li><?php } ?>
            </ul>

            <h2><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>">
                <?php the_title(); ?>
                </a>
            </h2>
            <p class="text1"><?php echo the_excerpt();?></p>

            <div class="btn-box">
                <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php esc_html_e('Read More', 'lsicool'); ?></a>
            </div>

        </div>
    </div>
        
</div>